FAQ

On 10 October 2014 22:46, Andrea Faulds wrote:

PHP 5.6 has been out for *less than two months*. Let’s say PHP 7 comes out
in 18 months’ time, so June 2016. Even then, PHP 5.6 would have been around
for less than 20 months. It is incredibly unreasonable to suggest that
application developers should move to this new API and completely suspend
usage of the previous one in such a short timespan (especially given how
few people will have moved to 5.6 by then) for a non-security fix.
Assuming PHP 7.0 came out in 2 years from now, I don't expect a decent
adoption rate anyway for the next 5 years.
Even in such a case, isn't it possible to have PHP "include" the polyfill
from an actual location instead of basing the function definition on some
internals voodoo?

Marco Pivetta

http://twitter.com/Ocramius

http://ocramius.github.com/

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 7 of 29 | next ›
Discussion Overview
groupphp-internals @
categoriesphp
postedOct 10, '14 at 8:28p
activeDec 1, '14 at 7:22a
posts29
users11
websitephp.net

People

Translate

site design / logo © 2019 Grokbase